<template>
  <v-app>
    <v-container
      v-bind:style="{
        background: 'url(' + backImage + ') no-repeat center center',
        backgroundSize: 'cover',
      }"
      fluid
      fill-height
    >
      <Messages />
    </v-container>
  </v-app>
</template>

<script>
import Messages from "./components/Messages";

export default {
  name: "App",

  components: {
    Messages,
  },

  data: () => ({
    backImage: "",
  }),
  methods: {
    renderImage() {
      fetch(`https://source.unsplash.com/2560x1280`).then((response) => {
        this.backImage = response.url;
      });
    },
    redirectPage(){
      if(location.hostname == "painel.bustillos.cloud"){
        var hostname = location.hostname;
        window.location = `https://${hostname}`;
      }
    },
  },
  beforeMount() {
    this.redirectPage();
    this.renderImage();
  },
};
</script>